From 0af728982077d4f3b9624132b6a63c00e6efb670 Mon Sep 17 00:00:00 2001
From: David M Peixotto <dmp@rice.edu>
Date: Wed, 20 Jul 2011 17:11:30 -0500
Subject: [PATCH] Only call dtraceSparkCounters in threaded rts

The call had been placed outside the #ifdef for the
THREADED_RTS symbol which caused a compile error since
the spark_stats field of a capability is only available when
compiling for the threaded rts.
---
 rts/Trace.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/rts/Trace.h b/rts/Trace.h
index 40a4522..f896c0e 100644
--- a/rts/Trace.h
+++ b/rts/Trace.h
@@ -512,7 +512,6 @@ INLINE_HEADER void traceSparkCounters(Capability *cap STG_UNUSED)
     if (RTS_UNLIKELY(TRACE_spark_sampled)) {
         traceSparkCounters_(cap, cap->spark_stats, sparkPoolSize(cap->sparks));
     }
-#endif
     dtraceSparkCounters((EventCapNo)cap->no,
                         cap->spark_stats.created,
                         cap->spark_stats.dud,
@@ -521,6 +520,7 @@ INLINE_HEADER void traceSparkCounters(Capability *cap STG_UNUSED)
                         cap->spark_stats.gcd,
                         cap->spark_stats.fizzled,
                         sparkPoolSize(cap->sparks));
+#endif
 }
 
 INLINE_HEADER void traceEventSparkCreate(Capability *cap STG_UNUSED)
-- 
1.7.3.5

